﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table style="margin-left:20px;">
    <tr>        
        <td nowrap="nowrap">Supplier<b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "EOCHSupplierGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreationTVEST", Action = "PartialHeaderSupplierGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierCode";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierName";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ButtonClick = "OnClickEOCHSupplierGridLookup";
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>        
        <td nowrap="nowrap">Dock Code<b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "EOCHDockGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreationTVEST", Action = "PartialHeaderDockGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
                }).Bind(ViewData["DockGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">Unique No.</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtKanbanNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 4;
                    settings.Width = 100;
                    settings.Properties.ClientSideEvents.TextChanged = "OnTextChangedtxtKanbanNo";
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>        
        <td nowrap="nowrap">Part No<b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "grlPartNo";
                    gridLookup.Width = Unit.Pixel(150);
                    gridLookup.GridProperties.KeyFieldName = "PartNo";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreationTVEST", Action = "PartialPartGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartNo";
                        column.FieldName = "PartNo";
                        column.Caption = "Part No";
                        column.Width = Unit.Pixel(120);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartName";
                        column.FieldName = "PartName";
                        column.Caption = "Part Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "KanbanNo";
                        column.FieldName = "KanbanNo";
                        column.Caption = "Unique No";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ClientEnabled = false;
                    gridLookup.ButtonClick = "FillPartDescription";                    
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginCallBackLookupPart";
                    //gridLookup.GridProperties.ClientSideEvents.RowClick = "FillPartDescription";
                }).Bind(ViewData["PartGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.ReadOnly = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trPartAddress" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Name = "lblPartAddress";
                    settings.Text = "Part Address";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartAddress";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 12;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trImportirInfo1" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Importir Info 1";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtImportirInfo1";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trImportirInfo2" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Importir Info 2";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtImportirInfo2";
                    settings.ControlStyle.Wrap = DefaultBoolean.False; 
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trImportirInfo3" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Importir Info 3";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtImportirInfo3";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trImportirInfo4" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Importir Info 4";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtImportirInfo4";
                    settings.ControlStyle.Wrap = DefaultBoolean.False; 
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr id="trPartBarcode" style="visibility:collapse">
     <td nowrap="nowrap">Part Barcode<b style="color:Red;">*</b></td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartBarcode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 21;
                    settings.Width = 150;
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">Pcs / Kanban</td>
        <td>
        @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtQtyPerContainer";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
                settings.Width = 100;
                //settings.Properties.Style.BackColor = DXColor.Silver;
                settings.ClientEnabled = false;
                settings.Properties.EnableClientSideAPI = true;
            }
        ).GetHtml()
        @*@Html.DevExpress().ComboBox(
            properties =>
            {
                properties.Name = "ddlQtyPerContainer";
                properties.Width = Unit.Pixel(100);
                properties.Properties.EnableClientSideAPI = true;
                properties.ClientEnabled = false;
                properties.Properties.EnableClientSideAPI = true;
            }).GetHtml() *@
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">Kanban Quantity <b style="color:Red;">*</b></td>
        <td>
        @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtOrderQty";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
                settings.Width = 100;
                settings.Properties.MaskSettings.Mask = "<0..999g>";
                settings.Properties.ClientSideEvents.TextChanged = "CalculatePieceQty";
                settings.ClientEnabled = false;
                settings.Properties.EnableClientSideAPI = true;
            }
        ).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">Pieces Quantity</td>
        <td>
        @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtPiecesQty";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
                settings.Width = 100;
                settings.Properties.ClientSideEvents.TextChanged = "CalculateOrderQty";
                settings.ClientEnabled = false;
                settings.Properties.EnableClientSideAPI = true;
            }
        ).GetHtml()
        </td>
    </tr>
    <tr id="trProgressLaneNo" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Progress Lane No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtProgressLaneNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False; 
                    settings.Properties.MaxLength = 5;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
     <tr id="trConveyanceNo" style="visibility:collapse">
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Conveyance No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtConveyanceNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False; 
                    settings.Properties.MaxLength = 5;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    @*<tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Recieve Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtRPC ";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>*@
    @*<tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name= "txtDockCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 60;
                }
            ).GetHtml()
        </td>
    </tr>*@
    @*<tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Arrival Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtArrivalTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
    </tr>*@
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <span id="BO_Text" style="color:red;display:none"></span>
        </td>
    </tr>
</table>